# redact-matrix

Script that redacts (erases) every message in a room.

---

### Usage

#### Get your access token

On [Cinny](https://app.cinny.in), for example, go to Firefox's Inspect tool, to the Storage tab, and copy your `cinny_access_token`. 
Other clients may have a similar key with this value, which is different for each session and is valid for as long as you don't log out.

![image](./image.jpg)

Open the `redact_all_messages.py` script with your favorite text editor and set the value for `homeserver` with the domain of the matrix instance you're logged in, and the `access_token` with the value you just extracted from the browser.


#### Get the Matrix room id

On Cinny you can do this by clicking on the room's name. 

The id will be right below the title of the room, and it looks like this:
`!cdPNSVToruMtXqGznY:domain.tld`

#### Run the script

```
python redact_all_messages.py '!cdPNSVToruMtXqGznY:domain.tld'
```

---

### Note

It will redact (erasing) each of your contacts' comments too, so long as you got permissions over them, which is the case of every private message room.